---
apiVersion: batch/v1
kind: Job
metadata:
  name: bootstrap
spec:
  template:
    metadata:
      labels:
        container: bootstrap
        is-container: 'true'
    spec:
      containers:
      - env:
        - name: APP_NS
          value: admin-bitcoin-core
        - name: BTC_NETWORK
          value: mainnet
        - name: BTC_RPC_PASSWORD
          valueFrom:
            secretKeyRef:
              key: password
              name: bitcoin-credentials
        - name: BTC_RPC_USER
          valueFrom:
            secretKeyRef:
              key: username
              name: bitcoin-credentials
        - name: USER
          value: admin
        image: harbor.nirvati.org/citadel/bitcoin-bootstrap:latest
        name: bootstrap
        volumeMounts: []
      restartPolicy: OnFailure
      serviceAccountName: bootstrap

